--- axiom/item.py.orig	2010-01-14 14:42:26.000000000 +0100
+++ axiom/item.py	2010-01-14 14:42:58.000000000 +0100
@@ -101,6 +101,36 @@
                        (other.typeName, other.schemaVersion))
         return NotImplemented
 
+    def __lt__(self, other):
+        if isinstance(other, MetaItem):
+            return (self.typeName, self.schemaVersion) < (other.typeName, other.schemaVersion)
+        return NotImplemented
+
+    def __gt__(self, other):
+        if isinstance(other, MetaItem):
+            return (self.typeName, self.schemaVersion) > (other.typeName, other.schemaVersion)
+        return NotImplemented
+
+    def __le__(self, other):
+        if isinstance(other, MetaItem):
+            return (self.typeName, self.schemaVersion) <= (other.typeName, other.schemaVersion)
+        return NotImplemented
+
+    def __ge__(self, other):
+        if isinstance(other, MetaItem):
+            return (self.typeName, self.schemaVersion) >= (other.typeName, other.schemaVersion)
+        return NotImplemented
+
+    def __eq__(self, other):
+        if isinstance(other, MetaItem):
+            return (self.typeName, self.schemaVersion) == (other.typeName, other.schemaVersion)
+        return NotImplemented
+
+    def __ne__(self, other):
+        if isinstance(other, MetaItem):
+            return (self.typeName, self.schemaVersion) != (other.typeName, other.schemaVersion)
+        return NotImplemented
+
 
 def noop():
     pass
